# Standards: 0.11
---

# 7.3.3 - Ensure IPv6 is disabled

- name: 7.3.3 - Check if CIS modprobe configuration file exists
  stat:
    path: "{{ cis_modprobe_conf_filename }}"
  register: modprobe_7_3_3
  tags:
    - level-1
    - section-7
    - "7.3.3"
    - scored

- name: 7.3.3 - Ensure IPv6 is disabled
  copy:
    dest: "{{ cis_modprobe_conf_filename }}"
    content: "options ipv6 disable=1\n"
  when: modprobe_7_3_3.stat.exists is not defined or not modprobe_7_3_3.stat.exists
  tags:
    - level-1
    - section-7
    - "7.3.3"
    - scored

- name: 7.3.3 - Ensure IPv6 is disabled
  lineinfile:
    dest: "{{ cis_modprobe_conf_filename }}"
    regexp: "^options ipv6 disable="
    line: "options ipv6 disable=1"
  when: modprobe_7_3_3.stat.exists is defined and modprobe_7_3_3.stat.exists
  tags:
    - level-1
    - section-7
    - "7.3.3"
    - scored